## org.cybergarage.http
Class HTTPHeader

    java.lang.Object
      org.cybergarage.http.HTTPHeader

    public class HTTPHeader

extends java.lang.Object

Constructor Summary
`HTTPHeader(java.lang.String lineStr)`
`HTTPHeader(java.lang.String name, java.lang.String value)`

Method Summary
`static int` `getIntegerValue(byte[] data, java.lang.String name)`
`static int` `getIntegerValue(java.lang.String data, java.lang.String name)`
`java.lang.String` `getName()`
`java.lang.String` `getValue()`
`static java.lang.String` `getValue(byte[] data, java.lang.String name)`
`static java.lang.String` `getValue(java.io.LineNumberReader reader, java.lang.String name)`
`static java.lang.String` `getValue(java.lang.String data, java.lang.String name)`
`boolean` `hasName()`
`void` `setName(java.lang.String name)`
`void` `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTPHeader

    public HTTPHeader(java.lang.String name,
                      java.lang.String value)

### HTTPHeader

    public HTTPHeader(java.lang.String lineStr)

Method Detail

### setName

    public void setName(java.lang.String name)

### setValue

    public void setValue(java.lang.String value)

### getName

    public java.lang.String getName()

### getValue

    public java.lang.String getValue()

### hasName

    public boolean hasName()

### getValue

    public static final java.lang.String getValue(java.io.LineNumberReader reader,
                                                  java.lang.String name)

### getValue

    public static final java.lang.String getValue(java.lang.String data,
                                                  java.lang.String name)

### getValue

    public static final java.lang.String getValue(byte[] data,
                                                  java.lang.String name)

### getIntegerValue

    public static final int getIntegerValue(java.lang.String data,
                                            java.lang.String name)

### getIntegerValue

    public static final int getIntegerValue(byte[] data,
                                            java.lang.String name)